Subject: Re: udgb on fsl booke?

From: Scott Wood <[email-masked]>
Date: Sun, 15 May 2016 21:46:20 -0500

On Mon, 2016-05-16 at 11:40 +1000, Michael Ellerman wrote:
> On Fri, 2016-05-13 at 17:41 -0700, Daniel Walker wrote:
> 
> > Hi,
> > 
> > I noticed that udbg is missing for fsl booke , or at least it doesn't 
> > appear to be implemented. I don't know a great deal about fsl book. I'm 
> > working on an MCP85XX at the moment , and I was looking into the udbg 
> > system to get prints. It looks like fsl booke might be similar enough to 
> > 44x to use the already implemented udbg routines for that.
> > 
> > Does anyone have suggestion on this ? Is fsl booke missing because it's 
> > not possible to have this, or no one ever needed it ?
> 
> Yeah I noticed this recently too.
> 
> I don't know the history of why there isn't one, I suspect probably it just
> was
> never merged upstream. Hopefully someone from Freescale can chime in.
> 
> On my machine (p5020ds) there is a real UART, so it should just be a matter
> of
> creating a mapping for it and then using the existing udbg_16550 code.

We don't have udbg support for these chips anywhere.  I usually just dump the
logbuffer from an external debugger (or bisect with a branch-to-self using the
external debugger to see if it was reached, if the logbuffer is empty) when
there's a boot problem.  It'd be nice to have; it just never got done.

-Scott